      SUBROUTINE CHRTOBYT(STRING,LENARR,ARR,LENGTH)                     00053 
      IMPLICIT INTEGER*2 (I-N)                                          00054 
      CHARACTER*(*) STRING                                              00056 
      BYTE ARR(1),BJ                                                    00057 
      INTEGER*2 LENGTH,LENARR,J,I                                       00058 
      EQUIVALENCE (J,BJ)                                                00059 
D     TYPE 1,STRING                                                     00061 
 1    FORMAT(' IN CHRTOBYT ',/,1X,80O1)                                 00062 
      LENGTH=LEN(STRING)                                                00063 
      IF(LENGTH.GT.LENARR)LENGTH=LENARR                                 00064 
      IF(LENGTH.GT.0)THEN                                               00065 
      DO I=1,LENGTH                                                     00066 
      J=ICHAR(STRING(I:I))                                              00067 
      ARR(I)=BJ                                                         00068 
      ENDDO                                                             00069 
      ENDIF                                                             00070 
      RETURN                                                            00071 
      END                                                               00072 
